Foreman - Feature #26299

Schedule report generation run to later date.
03/10/2019 10:03 PM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Ondfrej Ezr
Category: Reporting
Target version:
Difficulty: Fixed in Releases: 1.22.0
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/e642,
https://github.com/theforeman/foreman/p
ull/6651,
https://github.com/theforeman/foreman/p
ull/6134
Description

Currently the report generation starts right away.
It would be great to postpone the generation on given datetime.

Related issues:

Related to Foreman - Feature #26020: Offload report calculation from web proc... Closed
Related to Foreman - Bug #26781: Add DateTime picker placement property Closed
Precedes Foreman - Feature #26543: Use react DateTimePicker in report scheduling Closed

Associated revisions

Revision ¢57f999b - 04/04/2019 09:12 AM - Ondfej Ezr
Fixes #26299 - add schedule for report generation (#6642)

Revision 82d11f86 - 04/05/2019 07:20 AM - Ondfej Ezr
Refs #26299 - fixes the bug in mailer (#6651)

History

#1 - 03/10/2019 10:04 PM - Ondfej Ezr

- Related to Feature #26020: Offload report calculation from web process using active job added

#2 - 03/13/2019 08:54 AM - Ondfej Ezr
- Category set to Reporting

#3 - 04/02/2019 12:07 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6642 added

#4 - 04/04/2019 09:12 AM - Marek Hulan
- Fixed in Releases 1.22.0 added

#5 - 04/04/2019 10:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset c57f999b0cbd2{780ef170c8f3ad5¢cf21edObaaa.

#6 - 04/04/2019 04:30 PM - The Foreman Bot
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c57f999b0cbd2f780ef170c8f3ad5cf21ed0baaa

- Pull request https://github.com/theforeman/foreman/pull/6651 added

#7 - 04/05/2019 10:26 AM - Ondfej Ezr
- Precedes Feature #26543: Use react Date TimePicker in report scheduling added

#8 - 04/09/2019 02:20 PM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/6134 added

#9 - 05/10/2019 03:42 PM - Ondrej Ezr
- Related to Bug #26781: Add DateTime picker placement property added
